/*
	UDK Scale Tools - Units Checker
	------------------------------
	Version : 1.0 (alpha)
	Developed By : Stuart Butler
	Info: @stu3dart
	Description: Checks that the Max Units match required settings.
	Year : 2012
	-------------------------------
*/
rollout UDK_DevSetup "UDK Scale Tools - Dev / Units Setup"
(
	label lblfixes "For UDK Development, this tool requires the following:" align: #left height: 30
	label lblsystemunits "! Max System Units to be set to Inches" align: #left
	label lbldisplayunits "! Display Units to be set to Generic"align: #left height: 30
	hyperlink hypudkc "Click Here for More Info on Units Setup" address: "http://udkc.info/index.php?title=Tutorials:3Ds_Max_-_Settings_for_exporting_to_UDK" align: #center height: 30
	button but_unitsfix "Click Here to Fix Units Setup" align: #center height: 30
	
	on but_unitsfix pressed do
	(
		units.displaytype = #Generic	
		units.SystemType = #Inches
		fileIn "$userscripts\UDKScaleTools\UDKScaleTools.ms"		
		DestroyDialog UDK_DevSetup
		
	)
)
createDialog UDK_DevSetup height: 250 width: 280
