/*
	UDK Scale Tools
	------------------------------
	Version : 1.0 (alpha)
	Developed By : Stuart Butler
	Info: @stu3dart
	Description: Scale Tools for use with blockouts for UDK
	Year : 2012
	-------------------------------
*/
if (units.SystemType != #inches or units.displaytype != #Generic) then
(
--units.displaytype = #Generic	
--units.SystemType = #Inches
		fileIn "$userscripts\UDKScaleTools\UDKDevSetup.ms"		
)
else
(
include "$userscripts\UDKScaleTools\UDKScaleToolsGlobals.ms"

(
	include "$userscripts\UDKScaleTools\Details.ms"
	include "$userscripts\UDKScaleTools\UDKUnitConvertor.ms"
	include "$userscripts\UDKScaleTools\UDKScaleBillboards.ms"
	include "$userscripts\UDKScaleTools\UDKDevMaterials.ms"
)
UDK_ScaleTools = newRolloutFloater "UDK Scale Tools" 300 600
addRollout Details UDK_ScaleTools
addRollout UDK_UnitConvertor UDK_ScaleTools
addRollout UDK_ScaleBillboards UDK_ScaleTools
addRollout UDK_DevMaterials UDK_ScaleTools
)
