/*
	UDK Scale Tools - Unit Convertor
	------------------------------
	Version : 1.0 (alpha)
	Developed By : Stuart Butler
	Info: @stu3dart
	Description: Unit Convertor for UDK Scale Tools
	Year : 2012
	-------------------------------
*/

rollout UDK_UnitConvertor "UDK Unit Conversion" category:3
(
	
	editText edt1 "" pos:[10,8] width:128 height:20
	dropDownList ddl_Units "" pos:[150,8] width:128 height:43 items:convTypeArr
	button convert "Convert to Unreal Units" width:160 align:#center
	label lblUnrealUnits "" align: #center
	
	on convert pressed do
( 
	wrldunits = edt1.text as float
	If wrldunits != undefined then
	(
	convindex = convValArr[(UDK_UnitConvertor.ddl_Units.selection)] as float
	unrealunits = wrldunits*convindex as float
	edt1.text = wrldunits as string
	selectedunits = convTypeArr[(UDK_UnitConvertor.ddl_Units.selection)]
	finaltext = selectedunits as string
	wrldunits = edt1.text as string
	result = unrealunits as string
	lblUnrealUnits.text = wrldunits + " " + finaltext + " = " + result + " Unreal Units"
	)
else
	(
		messagebox "Please Enter a Numerical Value"
	)
)
)