/*
	UDK Scale Tools - Globals
	------------------------------
	Version : 1.0 (alpha)
	Developed By : Stuart Butler
	Info: @stu3dart
	Description: Global Variables for UDK Scale Tools
	Year : 2012
	-------------------------------
*/

global SizeArr = #(512,256)
global TypeArr = #("Grid","Character")
global MaskArr = #("$userscripts\UDKScaleTools\images\dev_grid.tga","$userscripts\UDKScaleTools\images\dev_billboard.tga")
global BillbLengthArr = #(96,64,126)
global BillbWidthArr = #(56,44,68)
global BillbUVOffArr = #(79,-74,0)
global BillbTypeArr = #("Standing","Crouch","Door")
global ColourArr = #("Blue","Brown","Gray","Green","Orange","Red","White","Yellow")
global ColourRGBArr = #([0,0,255],[100,55,0],[128,128,128],[0,100,0],[255,70,0],[255,0,0],[255,255,255],[255,255,0])
global ColourRGBAArr = #(color 0 0 255 255,color 100 55 0 255,color 128 128 128 255,color 0 100 0 255,color 255 70 0 255,color 255 0 0 255,color 255 255 255 255,color 255 255 0 255)
global convValArr = #(15.240,1.27, 0.5, 50)
global convTypeArr = #("Feet","Inches","Centimeters","Meters")
global UDK_ScaleTools
global UDK_UnitConvertor
global UDK_ScaleBillboards
global UDK_DevMaterials
global Details